runkit_class_adopt
runkit_constant_add
runkit Functions
PHP Manual

# runkit_class_emancipate

Convert an inherited class to a base class, removes any method whose scope is ancestral

### Description

bool runkit_class_emancipate ( string `$classname` )

### Parameters

`classname`

  Name of class to emancipate

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 A runkit_class_emancipate example

`<?php
class myParent {
function parentFunc () {
echo "Parent Function Output\n";
}
}
class myChild extends myParent {
}
myChild::parentFunc();
runkit_class_emancipate('myChild');
myChild::parentFunc();
?>`

The above example will output:

    Parent Function Output
    Fatal error: Call to undefined function:  parentFunc() in example.php on line 12

### See Also

- runkit_class_adopt